OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
vehiclelist.cpp File Reference

Lists of vehicles. More...

`#include "stdafx.h"`
`#include "train.h"`
`#include "vehiclelist.h"`
`#include "group.h"`
`#include "safeguards.h"`

Go to the source code of this file.

## Functions
void | BuildDepotVehicleList (VehicleType type, TileIndex tile, VehicleList *engines, VehicleList *wagons, bool individual_wagons)
| Generate a list of vehicles inside a depot.
bool | GenerateVehicleSortList (VehicleList *list, const VehicleListIdentifier &vli)
| Generate a list of vehicles based on window type.

## Detailed Description

Lists of vehicles.

Definition in file vehiclelist.cpp.

## Function Documentation

void BuildDepotVehicleList | ( | VehicleType | type,
|  | TileIndex | tile,
|  | VehicleList * | engines,
|  | VehicleList * | wagons,
|  | bool | individual_wagons
| ) |  |

Generate a list of vehicles inside a depot.

Parameters

  type | Type of vehicle
  tile | The tile the depot is located on
  engines | Pointer to list to add vehicles to
  wagons | Pointer to list to add wagons to (can be NULL)
  individual_wagons | If true add every wagon to wagons which is not attached to an engine. If false only add the first wagon of every row.

Definition at line 71 of file vehiclelist.cpp.

References SmallVector< T, S >::Append(), SmallVector< T, S >::Clear(), SmallVector< T, S >::Compact(), SpecializedVehicle< T, Type >::First(), FOR_ALL_VEHICLES, SpecializedVehicle< Train, Type >::From(), Vehicle::IsArticulatedPart(), GroundVehicle< T, Type >::IsFreeWagon(), Vehicle::IsInDepot(), Vehicle::IsPrimaryVehicle(), GroundVehicle< T, Type >::IsRearDualheaded(), Vehicle::tile, TRACK_BIT_DEPOT, BaseVehicle::type, and VEH_TRAIN.

Referenced by CmdDepotMassAutoReplace(), CmdDepotSellAllVehicles(), CmdMassStartStopVehicle(), and DepotWindow::OnPaint().

bool GenerateVehicleSortList | ( | VehicleList * | list,
|  | const VehicleListIdentifier & | vli
| ) |  |

Generate a list of vehicles based on window type.

Parameters

  list | Pointer to list to add vehicles to
  vli | The identifier of this vehicle list.

Returns
  false if invalid list is requested

Definition at line 116 of file vehiclelist.cpp.

References ALL_GROUP, SmallVector< T, S >::Append(), SmallVector< T, S >::Clear(), SmallVector< T, S >::Compact(), VehicleListIdentifier::company, FOR_ALL_VEHICLES, Order::GetDepotActionType(), Order::GetDestination(), Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_vehicle_pool >::GetIfValid(), Vehicle::group_id, GroupIsInGroup(), VehicleListIdentifier::index, Vehicle::IsPrimaryVehicle(), Order::IsType(), Vehicle::NextShared(), ODATFB_NEAREST_DEPOT, Vehicle::owner, VehicleListIdentifier::type, BaseVehicle::type, and VehicleListIdentifier::vtype.

Referenced by CmdMassStartStopVehicle(), and SendAllVehiclesToDepot().